from django.conf.urls import patterns, url

from .views import *
from .models import Sample

urlpatterns = patterns('',

                       url(regex=r'^$',
                           view=SampleListView.as_view(),
                           name=Sample.overview_url),

                       url(regex=r'^(?P<pk>\d+)/$',
                           view=SampleDetailView.as_view(),
                           name=Sample.detail_url),

                       url(regex=r'^update/(?P<pk>\d+)/$',
                           view=SampleUpdateView.as_view(),
                           name=Sample.update_url),

                       url(regex=r'^create/$',
                           view=SampleCreateView.as_view(),
                           name=Sample.create_url),
)


